IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
fe80:c25a:dd:ec00:c600::/72- First address
fe80:c25a:dd:ec00:c600::- Last address
fe80:c25a:dd:ec00:c6ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25a:00dd:ec00:c600:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
6.c.0.0.c.e.d.d.0.0.a.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25a:dd:ec00:c600::/72 makes 4,096 subnets of /84; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25a:dd:ec00:c600::/84 | fe80:c25a:dd:ec00:c600:fff:ffff:ffff |
| 2 | fe80:c25a:dd:ec00:c600:1000::/84 | fe80:c25a:dd:ec00:c600:1fff:ffff:ffff |
| 3 | fe80:c25a:dd:ec00:c600:2000::/84 | fe80:c25a:dd:ec00:c600:2fff:ffff:ffff |
| 4 | fe80:c25a:dd:ec00:c600:3000::/84 | fe80:c25a:dd:ec00:c600:3fff:ffff:ffff |
| 5 | fe80:c25a:dd:ec00:c600:4000::/84 | fe80:c25a:dd:ec00:c600:4fff:ffff:ffff |
| 6 | fe80:c25a:dd:ec00:c600:5000::/84 | fe80:c25a:dd:ec00:c600:5fff:ffff:ffff |
| 7 | fe80:c25a:dd:ec00:c600:6000::/84 | fe80:c25a:dd:ec00:c600:6fff:ffff:ffff |
| 8 | fe80:c25a:dd:ec00:c600:7000::/84 | fe80:c25a:dd:ec00:c600:7fff:ffff:ffff |
| 9 | fe80:c25a:dd:ec00:c600:8000::/84 | fe80:c25a:dd:ec00:c600:8fff:ffff:ffff |
| 10 | fe80:c25a:dd:ec00:c600:9000::/84 | fe80:c25a:dd:ec00:c600:9fff:ffff:ffff |
| 11 | fe80:c25a:dd:ec00:c600:a000::/84 | fe80:c25a:dd:ec00:c600:afff:ffff:ffff |
| 12 | fe80:c25a:dd:ec00:c600:b000::/84 | fe80:c25a:dd:ec00:c600:bfff:ffff:ffff |
| 13 | fe80:c25a:dd:ec00:c600:c000::/84 | fe80:c25a:dd:ec00:c600:cfff:ffff:ffff |
| 14 | fe80:c25a:dd:ec00:c600:d000::/84 | fe80:c25a:dd:ec00:c600:dfff:ffff:ffff |
| 15 | fe80:c25a:dd:ec00:c600:e000::/84 | fe80:c25a:dd:ec00:c600:efff:ffff:ffff |
| 16 | fe80:c25a:dd:ec00:c600:f000::/84 | fe80:c25a:dd:ec00:c600:ffff:ffff:ffff |
| 17 | fe80:c25a:dd:ec00:c601::/84 | fe80:c25a:dd:ec00:c601:fff:ffff:ffff |
| 18 | fe80:c25a:dd:ec00:c601:1000::/84 | fe80:c25a:dd:ec00:c601:1fff:ffff:ffff |
| 19 | fe80:c25a:dd:ec00:c601:2000::/84 | fe80:c25a:dd:ec00:c601:2fff:ffff:ffff |
| 20 | fe80:c25a:dd:ec00:c601:3000::/84 | fe80:c25a:dd:ec00:c601:3fff:ffff:ffff |
| 21 | fe80:c25a:dd:ec00:c601:4000::/84 | fe80:c25a:dd:ec00:c601:4fff:ffff:ffff |
| 22 | fe80:c25a:dd:ec00:c601:5000::/84 | fe80:c25a:dd:ec00:c601:5fff:ffff:ffff |
| 23 | fe80:c25a:dd:ec00:c601:6000::/84 | fe80:c25a:dd:ec00:c601:6fff:ffff:ffff |
| 24 | fe80:c25a:dd:ec00:c601:7000::/84 | fe80:c25a:dd:ec00:c601:7fff:ffff:ffff |
| 25 | fe80:c25a:dd:ec00:c601:8000::/84 | fe80:c25a:dd:ec00:c601:8fff:ffff:ffff |
| 26 | fe80:c25a:dd:ec00:c601:9000::/84 | fe80:c25a:dd:ec00:c601:9fff:ffff:ffff |
| 27 | fe80:c25a:dd:ec00:c601:a000::/84 | fe80:c25a:dd:ec00:c601:afff:ffff:ffff |
| 28 | fe80:c25a:dd:ec00:c601:b000::/84 | fe80:c25a:dd:ec00:c601:bfff:ffff:ffff |
| 29 | fe80:c25a:dd:ec00:c601:c000::/84 | fe80:c25a:dd:ec00:c601:cfff:ffff:ffff |
| 30 | fe80:c25a:dd:ec00:c601:d000::/84 | fe80:c25a:dd:ec00:c601:dfff:ffff:ffff |
| 31 | fe80:c25a:dd:ec00:c601:e000::/84 | fe80:c25a:dd:ec00:c601:efff:ffff:ffff |
| 32 | fe80:c25a:dd:ec00:c601:f000::/84 | fe80:c25a:dd:ec00:c601:ffff:ffff:ffff |
| 33 | fe80:c25a:dd:ec00:c602::/84 | fe80:c25a:dd:ec00:c602:fff:ffff:ffff |
| 34 | fe80:c25a:dd:ec00:c602:1000::/84 | fe80:c25a:dd:ec00:c602:1fff:ffff:ffff |
| 35 | fe80:c25a:dd:ec00:c602:2000::/84 | fe80:c25a:dd:ec00:c602:2fff:ffff:ffff |
| 36 | fe80:c25a:dd:ec00:c602:3000::/84 | fe80:c25a:dd:ec00:c602:3fff:ffff:ffff |
| 37 | fe80:c25a:dd:ec00:c602:4000::/84 | fe80:c25a:dd:ec00:c602:4fff:ffff:ffff |
| 38 | fe80:c25a:dd:ec00:c602:5000::/84 | fe80:c25a:dd:ec00:c602:5fff:ffff:ffff |
| 39 | fe80:c25a:dd:ec00:c602:6000::/84 | fe80:c25a:dd:ec00:c602:6fff:ffff:ffff |
| 40 | fe80:c25a:dd:ec00:c602:7000::/84 | fe80:c25a:dd:ec00:c602:7fff:ffff:ffff |
| 41 | fe80:c25a:dd:ec00:c602:8000::/84 | fe80:c25a:dd:ec00:c602:8fff:ffff:ffff |
| 42 | fe80:c25a:dd:ec00:c602:9000::/84 | fe80:c25a:dd:ec00:c602:9fff:ffff:ffff |
| 43 | fe80:c25a:dd:ec00:c602:a000::/84 | fe80:c25a:dd:ec00:c602:afff:ffff:ffff |
| 44 | fe80:c25a:dd:ec00:c602:b000::/84 | fe80:c25a:dd:ec00:c602:bfff:ffff:ffff |
| 45 | fe80:c25a:dd:ec00:c602:c000::/84 | fe80:c25a:dd:ec00:c602:cfff:ffff:ffff |
| 46 | fe80:c25a:dd:ec00:c602:d000::/84 | fe80:c25a:dd:ec00:c602:dfff:ffff:ffff |
| 47 | fe80:c25a:dd:ec00:c602:e000::/84 | fe80:c25a:dd:ec00:c602:efff:ffff:ffff |
| 48 | fe80:c25a:dd:ec00:c602:f000::/84 | fe80:c25a:dd:ec00:c602:ffff:ffff:ffff |
| 49 | fe80:c25a:dd:ec00:c603::/84 | fe80:c25a:dd:ec00:c603:fff:ffff:ffff |
| 50 | fe80:c25a:dd:ec00:c603:1000::/84 | fe80:c25a:dd:ec00:c603:1fff:ffff:ffff |
| 51 | fe80:c25a:dd:ec00:c603:2000::/84 | fe80:c25a:dd:ec00:c603:2fff:ffff:ffff |
| 52 | fe80:c25a:dd:ec00:c603:3000::/84 | fe80:c25a:dd:ec00:c603:3fff:ffff:ffff |
| 53 | fe80:c25a:dd:ec00:c603:4000::/84 | fe80:c25a:dd:ec00:c603:4fff:ffff:ffff |
| 54 | fe80:c25a:dd:ec00:c603:5000::/84 | fe80:c25a:dd:ec00:c603:5fff:ffff:ffff |
| 55 | fe80:c25a:dd:ec00:c603:6000::/84 | fe80:c25a:dd:ec00:c603:6fff:ffff:ffff |
| 56 | fe80:c25a:dd:ec00:c603:7000::/84 | fe80:c25a:dd:ec00:c603:7fff:ffff:ffff |
| 57 | fe80:c25a:dd:ec00:c603:8000::/84 | fe80:c25a:dd:ec00:c603:8fff:ffff:ffff |
| 58 | fe80:c25a:dd:ec00:c603:9000::/84 | fe80:c25a:dd:ec00:c603:9fff:ffff:ffff |
| 59 | fe80:c25a:dd:ec00:c603:a000::/84 | fe80:c25a:dd:ec00:c603:afff:ffff:ffff |
| 60 | fe80:c25a:dd:ec00:c603:b000::/84 | fe80:c25a:dd:ec00:c603:bfff:ffff:ffff |
| 61 | fe80:c25a:dd:ec00:c603:c000::/84 | fe80:c25a:dd:ec00:c603:cfff:ffff:ffff |
| 62 | fe80:c25a:dd:ec00:c603:d000::/84 | fe80:c25a:dd:ec00:c603:dfff:ffff:ffff |
| 63 | fe80:c25a:dd:ec00:c603:e000::/84 | fe80:c25a:dd:ec00:c603:efff:ffff:ffff |
| 64 | fe80:c25a:dd:ec00:c603:f000::/84 | fe80:c25a:dd:ec00:c603:ffff:ffff:ffff |
| 65 | fe80:c25a:dd:ec00:c604::/84 | fe80:c25a:dd:ec00:c604:fff:ffff:ffff |
| 66 | fe80:c25a:dd:ec00:c604:1000::/84 | fe80:c25a:dd:ec00:c604:1fff:ffff:ffff |
| 67 | fe80:c25a:dd:ec00:c604:2000::/84 | fe80:c25a:dd:ec00:c604:2fff:ffff:ffff |
| 68 | fe80:c25a:dd:ec00:c604:3000::/84 | fe80:c25a:dd:ec00:c604:3fff:ffff:ffff |
| 69 | fe80:c25a:dd:ec00:c604:4000::/84 | fe80:c25a:dd:ec00:c604:4fff:ffff:ffff |
| 70 | fe80:c25a:dd:ec00:c604:5000::/84 | fe80:c25a:dd:ec00:c604:5fff:ffff:ffff |
| 71 | fe80:c25a:dd:ec00:c604:6000::/84 | fe80:c25a:dd:ec00:c604:6fff:ffff:ffff |
| 72 | fe80:c25a:dd:ec00:c604:7000::/84 | fe80:c25a:dd:ec00:c604:7fff:ffff:ffff |
| 73 | fe80:c25a:dd:ec00:c604:8000::/84 | fe80:c25a:dd:ec00:c604:8fff:ffff:ffff |
| 74 | fe80:c25a:dd:ec00:c604:9000::/84 | fe80:c25a:dd:ec00:c604:9fff:ffff:ffff |
| 75 | fe80:c25a:dd:ec00:c604:a000::/84 | fe80:c25a:dd:ec00:c604:afff:ffff:ffff |
| 76 | fe80:c25a:dd:ec00:c604:b000::/84 | fe80:c25a:dd:ec00:c604:bfff:ffff:ffff |
| 77 | fe80:c25a:dd:ec00:c604:c000::/84 | fe80:c25a:dd:ec00:c604:cfff:ffff:ffff |
| 78 | fe80:c25a:dd:ec00:c604:d000::/84 | fe80:c25a:dd:ec00:c604:dfff:ffff:ffff |
| 79 | fe80:c25a:dd:ec00:c604:e000::/84 | fe80:c25a:dd:ec00:c604:efff:ffff:ffff |
| 80 | fe80:c25a:dd:ec00:c604:f000::/84 | fe80:c25a:dd:ec00:c604:ffff:ffff:ffff |
| 81 | fe80:c25a:dd:ec00:c605::/84 | fe80:c25a:dd:ec00:c605:fff:ffff:ffff |
| 82 | fe80:c25a:dd:ec00:c605:1000::/84 | fe80:c25a:dd:ec00:c605:1fff:ffff:ffff |
| 83 | fe80:c25a:dd:ec00:c605:2000::/84 | fe80:c25a:dd:ec00:c605:2fff:ffff:ffff |
| 84 | fe80:c25a:dd:ec00:c605:3000::/84 | fe80:c25a:dd:ec00:c605:3fff:ffff:ffff |
| 85 | fe80:c25a:dd:ec00:c605:4000::/84 | fe80:c25a:dd:ec00:c605:4fff:ffff:ffff |
| 86 | fe80:c25a:dd:ec00:c605:5000::/84 | fe80:c25a:dd:ec00:c605:5fff:ffff:ffff |
| 87 | fe80:c25a:dd:ec00:c605:6000::/84 | fe80:c25a:dd:ec00:c605:6fff:ffff:ffff |
| 88 | fe80:c25a:dd:ec00:c605:7000::/84 | fe80:c25a:dd:ec00:c605:7fff:ffff:ffff |
| 89 | fe80:c25a:dd:ec00:c605:8000::/84 | fe80:c25a:dd:ec00:c605:8fff:ffff:ffff |
| 90 | fe80:c25a:dd:ec00:c605:9000::/84 | fe80:c25a:dd:ec00:c605:9fff:ffff:ffff |
| 91 | fe80:c25a:dd:ec00:c605:a000::/84 | fe80:c25a:dd:ec00:c605:afff:ffff:ffff |
| 92 | fe80:c25a:dd:ec00:c605:b000::/84 | fe80:c25a:dd:ec00:c605:bfff:ffff:ffff |
| 93 | fe80:c25a:dd:ec00:c605:c000::/84 | fe80:c25a:dd:ec00:c605:cfff:ffff:ffff |
| 94 | fe80:c25a:dd:ec00:c605:d000::/84 | fe80:c25a:dd:ec00:c605:dfff:ffff:ffff |
| 95 | fe80:c25a:dd:ec00:c605:e000::/84 | fe80:c25a:dd:ec00:c605:efff:ffff:ffff |
| 96 | fe80:c25a:dd:ec00:c605:f000::/84 | fe80:c25a:dd:ec00:c605:ffff:ffff:ffff |
| 97 | fe80:c25a:dd:ec00:c606::/84 | fe80:c25a:dd:ec00:c606:fff:ffff:ffff |
| 98 | fe80:c25a:dd:ec00:c606:1000::/84 | fe80:c25a:dd:ec00:c606:1fff:ffff:ffff |
| 99 | fe80:c25a:dd:ec00:c606:2000::/84 | fe80:c25a:dd:ec00:c606:2fff:ffff:ffff |
| 100 | fe80:c25a:dd:ec00:c606:3000::/84 | fe80:c25a:dd:ec00:c606:3fff:ffff:ffff |
| 101 | fe80:c25a:dd:ec00:c606:4000::/84 | fe80:c25a:dd:ec00:c606:4fff:ffff:ffff |
| 102 | fe80:c25a:dd:ec00:c606:5000::/84 | fe80:c25a:dd:ec00:c606:5fff:ffff:ffff |
| 103 | fe80:c25a:dd:ec00:c606:6000::/84 | fe80:c25a:dd:ec00:c606:6fff:ffff:ffff |
| 104 | fe80:c25a:dd:ec00:c606:7000::/84 | fe80:c25a:dd:ec00:c606:7fff:ffff:ffff |
| 105 | fe80:c25a:dd:ec00:c606:8000::/84 | fe80:c25a:dd:ec00:c606:8fff:ffff:ffff |
| 106 | fe80:c25a:dd:ec00:c606:9000::/84 | fe80:c25a:dd:ec00:c606:9fff:ffff:ffff |
| 107 | fe80:c25a:dd:ec00:c606:a000::/84 | fe80:c25a:dd:ec00:c606:afff:ffff:ffff |
| 108 | fe80:c25a:dd:ec00:c606:b000::/84 | fe80:c25a:dd:ec00:c606:bfff:ffff:ffff |
| 109 | fe80:c25a:dd:ec00:c606:c000::/84 | fe80:c25a:dd:ec00:c606:cfff:ffff:ffff |
| 110 | fe80:c25a:dd:ec00:c606:d000::/84 | fe80:c25a:dd:ec00:c606:dfff:ffff:ffff |
| 111 | fe80:c25a:dd:ec00:c606:e000::/84 | fe80:c25a:dd:ec00:c606:efff:ffff:ffff |
| 112 | fe80:c25a:dd:ec00:c606:f000::/84 | fe80:c25a:dd:ec00:c606:ffff:ffff:ffff |
| 113 | fe80:c25a:dd:ec00:c607::/84 | fe80:c25a:dd:ec00:c607:fff:ffff:ffff |
| 114 | fe80:c25a:dd:ec00:c607:1000::/84 | fe80:c25a:dd:ec00:c607:1fff:ffff:ffff |
| 115 | fe80:c25a:dd:ec00:c607:2000::/84 | fe80:c25a:dd:ec00:c607:2fff:ffff:ffff |
| 116 | fe80:c25a:dd:ec00:c607:3000::/84 | fe80:c25a:dd:ec00:c607:3fff:ffff:ffff |
| 117 | fe80:c25a:dd:ec00:c607:4000::/84 | fe80:c25a:dd:ec00:c607:4fff:ffff:ffff |
| 118 | fe80:c25a:dd:ec00:c607:5000::/84 | fe80:c25a:dd:ec00:c607:5fff:ffff:ffff |
| 119 | fe80:c25a:dd:ec00:c607:6000::/84 | fe80:c25a:dd:ec00:c607:6fff:ffff:ffff |
| 120 | fe80:c25a:dd:ec00:c607:7000::/84 | fe80:c25a:dd:ec00:c607:7fff:ffff:ffff |
| 121 | fe80:c25a:dd:ec00:c607:8000::/84 | fe80:c25a:dd:ec00:c607:8fff:ffff:ffff |
| 122 | fe80:c25a:dd:ec00:c607:9000::/84 | fe80:c25a:dd:ec00:c607:9fff:ffff:ffff |
| 123 | fe80:c25a:dd:ec00:c607:a000::/84 | fe80:c25a:dd:ec00:c607:afff:ffff:ffff |
| 124 | fe80:c25a:dd:ec00:c607:b000::/84 | fe80:c25a:dd:ec00:c607:bfff:ffff:ffff |
| 125 | fe80:c25a:dd:ec00:c607:c000::/84 | fe80:c25a:dd:ec00:c607:cfff:ffff:ffff |
| 126 | fe80:c25a:dd:ec00:c607:d000::/84 | fe80:c25a:dd:ec00:c607:dfff:ffff:ffff |
| 127 | fe80:c25a:dd:ec00:c607:e000::/84 | fe80:c25a:dd:ec00:c607:efff:ffff:ffff |
| 128 | fe80:c25a:dd:ec00:c607:f000::/84 | fe80:c25a:dd:ec00:c607:ffff:ffff:ffff |
| 129 | fe80:c25a:dd:ec00:c608::/84 | fe80:c25a:dd:ec00:c608:fff:ffff:ffff |
| 130 | fe80:c25a:dd:ec00:c608:1000::/84 | fe80:c25a:dd:ec00:c608:1fff:ffff:ffff |
| 131 | fe80:c25a:dd:ec00:c608:2000::/84 | fe80:c25a:dd:ec00:c608:2fff:ffff:ffff |
| 132 | fe80:c25a:dd:ec00:c608:3000::/84 | fe80:c25a:dd:ec00:c608:3fff:ffff:ffff |
| 133 | fe80:c25a:dd:ec00:c608:4000::/84 | fe80:c25a:dd:ec00:c608:4fff:ffff:ffff |
| 134 | fe80:c25a:dd:ec00:c608:5000::/84 | fe80:c25a:dd:ec00:c608:5fff:ffff:ffff |
| 135 | fe80:c25a:dd:ec00:c608:6000::/84 | fe80:c25a:dd:ec00:c608:6fff:ffff:ffff |
| 136 | fe80:c25a:dd:ec00:c608:7000::/84 | fe80:c25a:dd:ec00:c608:7fff:ffff:ffff |
| 137 | fe80:c25a:dd:ec00:c608:8000::/84 | fe80:c25a:dd:ec00:c608:8fff:ffff:ffff |
| 138 | fe80:c25a:dd:ec00:c608:9000::/84 | fe80:c25a:dd:ec00:c608:9fff:ffff:ffff |
| 139 | fe80:c25a:dd:ec00:c608:a000::/84 | fe80:c25a:dd:ec00:c608:afff:ffff:ffff |
| 140 | fe80:c25a:dd:ec00:c608:b000::/84 | fe80:c25a:dd:ec00:c608:bfff:ffff:ffff |
| 141 | fe80:c25a:dd:ec00:c608:c000::/84 | fe80:c25a:dd:ec00:c608:cfff:ffff:ffff |
| 142 | fe80:c25a:dd:ec00:c608:d000::/84 | fe80:c25a:dd:ec00:c608:dfff:ffff:ffff |
| 143 | fe80:c25a:dd:ec00:c608:e000::/84 | fe80:c25a:dd:ec00:c608:efff:ffff:ffff |
| 144 | fe80:c25a:dd:ec00:c608:f000::/84 | fe80:c25a:dd:ec00:c608:ffff:ffff:ffff |
| 145 | fe80:c25a:dd:ec00:c609::/84 | fe80:c25a:dd:ec00:c609:fff:ffff:ffff |
| 146 | fe80:c25a:dd:ec00:c609:1000::/84 | fe80:c25a:dd:ec00:c609:1fff:ffff:ffff |
| 147 | fe80:c25a:dd:ec00:c609:2000::/84 | fe80:c25a:dd:ec00:c609:2fff:ffff:ffff |
| 148 | fe80:c25a:dd:ec00:c609:3000::/84 | fe80:c25a:dd:ec00:c609:3fff:ffff:ffff |
| 149 | fe80:c25a:dd:ec00:c609:4000::/84 | fe80:c25a:dd:ec00:c609:4fff:ffff:ffff |
| 150 | fe80:c25a:dd:ec00:c609:5000::/84 | fe80:c25a:dd:ec00:c609:5fff:ffff:ffff |
| 151 | fe80:c25a:dd:ec00:c609:6000::/84 | fe80:c25a:dd:ec00:c609:6fff:ffff:ffff |
| 152 | fe80:c25a:dd:ec00:c609:7000::/84 | fe80:c25a:dd:ec00:c609:7fff:ffff:ffff |
| 153 | fe80:c25a:dd:ec00:c609:8000::/84 | fe80:c25a:dd:ec00:c609:8fff:ffff:ffff |
| 154 | fe80:c25a:dd:ec00:c609:9000::/84 | fe80:c25a:dd:ec00:c609:9fff:ffff:ffff |
| 155 | fe80:c25a:dd:ec00:c609:a000::/84 | fe80:c25a:dd:ec00:c609:afff:ffff:ffff |
| 156 | fe80:c25a:dd:ec00:c609:b000::/84 | fe80:c25a:dd:ec00:c609:bfff:ffff:ffff |
| 157 | fe80:c25a:dd:ec00:c609:c000::/84 | fe80:c25a:dd:ec00:c609:cfff:ffff:ffff |
| 158 | fe80:c25a:dd:ec00:c609:d000::/84 | fe80:c25a:dd:ec00:c609:dfff:ffff:ffff |
| 159 | fe80:c25a:dd:ec00:c609:e000::/84 | fe80:c25a:dd:ec00:c609:efff:ffff:ffff |
| 160 | fe80:c25a:dd:ec00:c609:f000::/84 | fe80:c25a:dd:ec00:c609:ffff:ffff:ffff |
| 161 | fe80:c25a:dd:ec00:c60a::/84 | fe80:c25a:dd:ec00:c60a:fff:ffff:ffff |
| 162 | fe80:c25a:dd:ec00:c60a:1000::/84 | fe80:c25a:dd:ec00:c60a:1fff:ffff:ffff |
| 163 | fe80:c25a:dd:ec00:c60a:2000::/84 | fe80:c25a:dd:ec00:c60a:2fff:ffff:ffff |
| 164 | fe80:c25a:dd:ec00:c60a:3000::/84 | fe80:c25a:dd:ec00:c60a:3fff:ffff:ffff |
| 165 | fe80:c25a:dd:ec00:c60a:4000::/84 | fe80:c25a:dd:ec00:c60a:4fff:ffff:ffff |
| 166 | fe80:c25a:dd:ec00:c60a:5000::/84 | fe80:c25a:dd:ec00:c60a:5fff:ffff:ffff |
| 167 | fe80:c25a:dd:ec00:c60a:6000::/84 | fe80:c25a:dd:ec00:c60a:6fff:ffff:ffff |
| 168 | fe80:c25a:dd:ec00:c60a:7000::/84 | fe80:c25a:dd:ec00:c60a:7fff:ffff:ffff |
| 169 | fe80:c25a:dd:ec00:c60a:8000::/84 | fe80:c25a:dd:ec00:c60a:8fff:ffff:ffff |
| 170 | fe80:c25a:dd:ec00:c60a:9000::/84 | fe80:c25a:dd:ec00:c60a:9fff:ffff:ffff |
| 171 | fe80:c25a:dd:ec00:c60a:a000::/84 | fe80:c25a:dd:ec00:c60a:afff:ffff:ffff |
| 172 | fe80:c25a:dd:ec00:c60a:b000::/84 | fe80:c25a:dd:ec00:c60a:bfff:ffff:ffff |
| 173 | fe80:c25a:dd:ec00:c60a:c000::/84 | fe80:c25a:dd:ec00:c60a:cfff:ffff:ffff |
| 174 | fe80:c25a:dd:ec00:c60a:d000::/84 | fe80:c25a:dd:ec00:c60a:dfff:ffff:ffff |
| 175 | fe80:c25a:dd:ec00:c60a:e000::/84 | fe80:c25a:dd:ec00:c60a:efff:ffff:ffff |
| 176 | fe80:c25a:dd:ec00:c60a:f000::/84 | fe80:c25a:dd:ec00:c60a:ffff:ffff:ffff |
| 177 | fe80:c25a:dd:ec00:c60b::/84 | fe80:c25a:dd:ec00:c60b:fff:ffff:ffff |
| 178 | fe80:c25a:dd:ec00:c60b:1000::/84 | fe80:c25a:dd:ec00:c60b:1fff:ffff:ffff |
| 179 | fe80:c25a:dd:ec00:c60b:2000::/84 | fe80:c25a:dd:ec00:c60b:2fff:ffff:ffff |
| 180 | fe80:c25a:dd:ec00:c60b:3000::/84 | fe80:c25a:dd:ec00:c60b:3fff:ffff:ffff |
| 181 | fe80:c25a:dd:ec00:c60b:4000::/84 | fe80:c25a:dd:ec00:c60b:4fff:ffff:ffff |
| 182 | fe80:c25a:dd:ec00:c60b:5000::/84 | fe80:c25a:dd:ec00:c60b:5fff:ffff:ffff |
| 183 | fe80:c25a:dd:ec00:c60b:6000::/84 | fe80:c25a:dd:ec00:c60b:6fff:ffff:ffff |
| 184 | fe80:c25a:dd:ec00:c60b:7000::/84 | fe80:c25a:dd:ec00:c60b:7fff:ffff:ffff |
| 185 | fe80:c25a:dd:ec00:c60b:8000::/84 | fe80:c25a:dd:ec00:c60b:8fff:ffff:ffff |
| 186 | fe80:c25a:dd:ec00:c60b:9000::/84 | fe80:c25a:dd:ec00:c60b:9fff:ffff:ffff |
| 187 | fe80:c25a:dd:ec00:c60b:a000::/84 | fe80:c25a:dd:ec00:c60b:afff:ffff:ffff |
| 188 | fe80:c25a:dd:ec00:c60b:b000::/84 | fe80:c25a:dd:ec00:c60b:bfff:ffff:ffff |
| 189 | fe80:c25a:dd:ec00:c60b:c000::/84 | fe80:c25a:dd:ec00:c60b:cfff:ffff:ffff |
| 190 | fe80:c25a:dd:ec00:c60b:d000::/84 | fe80:c25a:dd:ec00:c60b:dfff:ffff:ffff |
| 191 | fe80:c25a:dd:ec00:c60b:e000::/84 | fe80:c25a:dd:ec00:c60b:efff:ffff:ffff |
| 192 | fe80:c25a:dd:ec00:c60b:f000::/84 | fe80:c25a:dd:ec00:c60b:ffff:ffff:ffff |
| 193 | fe80:c25a:dd:ec00:c60c::/84 | fe80:c25a:dd:ec00:c60c:fff:ffff:ffff |
| 194 | fe80:c25a:dd:ec00:c60c:1000::/84 | fe80:c25a:dd:ec00:c60c:1fff:ffff:ffff |
| 195 | fe80:c25a:dd:ec00:c60c:2000::/84 | fe80:c25a:dd:ec00:c60c:2fff:ffff:ffff |
| 196 | fe80:c25a:dd:ec00:c60c:3000::/84 | fe80:c25a:dd:ec00:c60c:3fff:ffff:ffff |
| 197 | fe80:c25a:dd:ec00:c60c:4000::/84 | fe80:c25a:dd:ec00:c60c:4fff:ffff:ffff |
| 198 | fe80:c25a:dd:ec00:c60c:5000::/84 | fe80:c25a:dd:ec00:c60c:5fff:ffff:ffff |
| 199 | fe80:c25a:dd:ec00:c60c:6000::/84 | fe80:c25a:dd:ec00:c60c:6fff:ffff:ffff |
| 200 | fe80:c25a:dd:ec00:c60c:7000::/84 | fe80:c25a:dd:ec00:c60c:7fff:ffff:ffff |
| 201 | fe80:c25a:dd:ec00:c60c:8000::/84 | fe80:c25a:dd:ec00:c60c:8fff:ffff:ffff |
| 202 | fe80:c25a:dd:ec00:c60c:9000::/84 | fe80:c25a:dd:ec00:c60c:9fff:ffff:ffff |
| 203 | fe80:c25a:dd:ec00:c60c:a000::/84 | fe80:c25a:dd:ec00:c60c:afff:ffff:ffff |
| 204 | fe80:c25a:dd:ec00:c60c:b000::/84 | fe80:c25a:dd:ec00:c60c:bfff:ffff:ffff |
| 205 | fe80:c25a:dd:ec00:c60c:c000::/84 | fe80:c25a:dd:ec00:c60c:cfff:ffff:ffff |
| 206 | fe80:c25a:dd:ec00:c60c:d000::/84 | fe80:c25a:dd:ec00:c60c:dfff:ffff:ffff |
| 207 | fe80:c25a:dd:ec00:c60c:e000::/84 | fe80:c25a:dd:ec00:c60c:efff:ffff:ffff |
| 208 | fe80:c25a:dd:ec00:c60c:f000::/84 | fe80:c25a:dd:ec00:c60c:ffff:ffff:ffff |
| 209 | fe80:c25a:dd:ec00:c60d::/84 | fe80:c25a:dd:ec00:c60d:fff:ffff:ffff |
| 210 | fe80:c25a:dd:ec00:c60d:1000::/84 | fe80:c25a:dd:ec00:c60d:1fff:ffff:ffff |
| 211 | fe80:c25a:dd:ec00:c60d:2000::/84 | fe80:c25a:dd:ec00:c60d:2fff:ffff:ffff |
| 212 | fe80:c25a:dd:ec00:c60d:3000::/84 | fe80:c25a:dd:ec00:c60d:3fff:ffff:ffff |
| 213 | fe80:c25a:dd:ec00:c60d:4000::/84 | fe80:c25a:dd:ec00:c60d:4fff:ffff:ffff |
| 214 | fe80:c25a:dd:ec00:c60d:5000::/84 | fe80:c25a:dd:ec00:c60d:5fff:ffff:ffff |
| 215 | fe80:c25a:dd:ec00:c60d:6000::/84 | fe80:c25a:dd:ec00:c60d:6fff:ffff:ffff |
| 216 | fe80:c25a:dd:ec00:c60d:7000::/84 | fe80:c25a:dd:ec00:c60d:7fff:ffff:ffff |
| 217 | fe80:c25a:dd:ec00:c60d:8000::/84 | fe80:c25a:dd:ec00:c60d:8fff:ffff:ffff |
| 218 | fe80:c25a:dd:ec00:c60d:9000::/84 | fe80:c25a:dd:ec00:c60d:9fff:ffff:ffff |
| 219 | fe80:c25a:dd:ec00:c60d:a000::/84 | fe80:c25a:dd:ec00:c60d:afff:ffff:ffff |
| 220 | fe80:c25a:dd:ec00:c60d:b000::/84 | fe80:c25a:dd:ec00:c60d:bfff:ffff:ffff |
| 221 | fe80:c25a:dd:ec00:c60d:c000::/84 | fe80:c25a:dd:ec00:c60d:cfff:ffff:ffff |
| 222 | fe80:c25a:dd:ec00:c60d:d000::/84 | fe80:c25a:dd:ec00:c60d:dfff:ffff:ffff |
| 223 | fe80:c25a:dd:ec00:c60d:e000::/84 | fe80:c25a:dd:ec00:c60d:efff:ffff:ffff |
| 224 | fe80:c25a:dd:ec00:c60d:f000::/84 | fe80:c25a:dd:ec00:c60d:ffff:ffff:ffff |
| 225 | fe80:c25a:dd:ec00:c60e::/84 | fe80:c25a:dd:ec00:c60e:fff:ffff:ffff |
| 226 | fe80:c25a:dd:ec00:c60e:1000::/84 | fe80:c25a:dd:ec00:c60e:1fff:ffff:ffff |
| 227 | fe80:c25a:dd:ec00:c60e:2000::/84 | fe80:c25a:dd:ec00:c60e:2fff:ffff:ffff |
| 228 | fe80:c25a:dd:ec00:c60e:3000::/84 | fe80:c25a:dd:ec00:c60e:3fff:ffff:ffff |
| 229 | fe80:c25a:dd:ec00:c60e:4000::/84 | fe80:c25a:dd:ec00:c60e:4fff:ffff:ffff |
| 230 | fe80:c25a:dd:ec00:c60e:5000::/84 | fe80:c25a:dd:ec00:c60e:5fff:ffff:ffff |
| 231 | fe80:c25a:dd:ec00:c60e:6000::/84 | fe80:c25a:dd:ec00:c60e:6fff:ffff:ffff |
| 232 | fe80:c25a:dd:ec00:c60e:7000::/84 | fe80:c25a:dd:ec00:c60e:7fff:ffff:ffff |
| 233 | fe80:c25a:dd:ec00:c60e:8000::/84 | fe80:c25a:dd:ec00:c60e:8fff:ffff:ffff |
| 234 | fe80:c25a:dd:ec00:c60e:9000::/84 | fe80:c25a:dd:ec00:c60e:9fff:ffff:ffff |
| 235 | fe80:c25a:dd:ec00:c60e:a000::/84 | fe80:c25a:dd:ec00:c60e:afff:ffff:ffff |
| 236 | fe80:c25a:dd:ec00:c60e:b000::/84 | fe80:c25a:dd:ec00:c60e:bfff:ffff:ffff |
| 237 | fe80:c25a:dd:ec00:c60e:c000::/84 | fe80:c25a:dd:ec00:c60e:cfff:ffff:ffff |
| 238 | fe80:c25a:dd:ec00:c60e:d000::/84 | fe80:c25a:dd:ec00:c60e:dfff:ffff:ffff |
| 239 | fe80:c25a:dd:ec00:c60e:e000::/84 | fe80:c25a:dd:ec00:c60e:efff:ffff:ffff |
| 240 | fe80:c25a:dd:ec00:c60e:f000::/84 | fe80:c25a:dd:ec00:c60e:ffff:ffff:ffff |
| 241 | fe80:c25a:dd:ec00:c60f::/84 | fe80:c25a:dd:ec00:c60f:fff:ffff:ffff |
| 242 | fe80:c25a:dd:ec00:c60f:1000::/84 | fe80:c25a:dd:ec00:c60f:1fff:ffff:ffff |
| 243 | fe80:c25a:dd:ec00:c60f:2000::/84 | fe80:c25a:dd:ec00:c60f:2fff:ffff:ffff |
| 244 | fe80:c25a:dd:ec00:c60f:3000::/84 | fe80:c25a:dd:ec00:c60f:3fff:ffff:ffff |
| 245 | fe80:c25a:dd:ec00:c60f:4000::/84 | fe80:c25a:dd:ec00:c60f:4fff:ffff:ffff |
| 246 | fe80:c25a:dd:ec00:c60f:5000::/84 | fe80:c25a:dd:ec00:c60f:5fff:ffff:ffff |
| 247 | fe80:c25a:dd:ec00:c60f:6000::/84 | fe80:c25a:dd:ec00:c60f:6fff:ffff:ffff |
| 248 | fe80:c25a:dd:ec00:c60f:7000::/84 | fe80:c25a:dd:ec00:c60f:7fff:ffff:ffff |
| 249 | fe80:c25a:dd:ec00:c60f:8000::/84 | fe80:c25a:dd:ec00:c60f:8fff:ffff:ffff |
| 250 | fe80:c25a:dd:ec00:c60f:9000::/84 | fe80:c25a:dd:ec00:c60f:9fff:ffff:ffff |
| 251 | fe80:c25a:dd:ec00:c60f:a000::/84 | fe80:c25a:dd:ec00:c60f:afff:ffff:ffff |
| 252 | fe80:c25a:dd:ec00:c60f:b000::/84 | fe80:c25a:dd:ec00:c60f:bfff:ffff:ffff |
| 253 | fe80:c25a:dd:ec00:c60f:c000::/84 | fe80:c25a:dd:ec00:c60f:cfff:ffff:ffff |
| 254 | fe80:c25a:dd:ec00:c60f:d000::/84 | fe80:c25a:dd:ec00:c60f:dfff:ffff:ffff |
| 255 | fe80:c25a:dd:ec00:c60f:e000::/84 | fe80:c25a:dd:ec00:c60f:efff:ffff:ffff |
| 256 | fe80:c25a:dd:ec00:c60f:f000::/84 | fe80:c25a:dd:ec00:c60f:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |